GET /api/v202410/esaReading/summarized

Retrieves all summarized ESA readings

GetEsaSummarizedReadingsV202410 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
orderBy string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
commodityCategoryInfo Commodity Category Name String equals not equals one of like not like not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
esaChannelID Integer one of not one of
esaDataPointCode Data Point Code String one of
esaDataPointID Integer equals one of not one of
esaDataPointInfo Data Point Name String one of
estimated Reading is Estimated Boolean equals
fullName Full Name String one of
intervalInfo ESA Channel Interval String one of
note Reading Note Contains String like
observationTypeInfo Observation Type Name String equals not equals one of like not like not one of
summarizedValue Summarized Value Double equals not equals less than between greater than less than equal greater than equal not between
timestamp Timestamp DateTimeOffset equals not equals less than between greater than less than equal greater than equal
topmostPlaceCode Topmost Place Code String equals not equals one of like not like not one of
topmostPlaceInfo Topmost Place Name String equals not equals one of like not like not one of

Order By Options

Name Description
esaChannelInfo ESA Channel Name
observationTypeInfo Observation Type Name
interval Channel Interval
timestamp Timestamp
summarizedValue Summarized Value
unitInfo Unit Name
esaDataPointInfo Data Point Name
esaDataPointCode Data Point Code

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EsaReadingSummarizedResponse
Property Description Type
commonRollupValue The summarized reading value converted from the channel unit to the common rollup unit value number (double)
creationMethod Creation method of the reading. ‘Manual’ when readings are created by users in the UI ‘System’ when readings are calculated from raw or processed readings string
dataPoint DataPointChild
DataPointChild properties
Property Description Type
active Indicates whether the data point is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
dataPointCode The data point code string
dataPointId The data point identifier integer (int32)
dataPointInfo The data point info string
isCalculatedDataPoint Indicates whether the data point is a calculated data point boolean
isDataRolledUp Indicates if the primary value channel on the datapoint has a summarization method of SUM boolean
serialNumber The data point’s current serial number string
esaChannelId Reading’s channel ID integer (int32)
esaChannelInfo Reading’s channel name string
estimated Indicates whether or not the reading is estimated boolean
globalRollupValue The summarized reading value converted from the channel unit to the global rollup unit value number (double)
interval Interval of the reading in minutes integer (int32)
intervalInfo Interval description for the channel on which the reading was originated string
isCalculatedEsaChannel Indicates if the channel is calculated boolean
localTimestamp The date and time of the reading adjusted to the data point’s time zone string (date-time)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
note A note pertaining to the reading string
observationType ObservationTypeChildBase
ObservationTypeChildBase properties
Property Description Type
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
summarizedValue number (double)
timestamp The date and time of the reading string (date-time)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
[
  {    "commonRollupValue": 1.0,    "creationMethod": "string",    "dataPoint": {      "active": false,      "commodity": {},      "dataPointCode": "string",      "dataPointId": 1,      "dataPointInfo": "string",      "isCalculatedDataPoint": false,      "isDataRolledUp": false,      "serialNumber": "string"
    },    "esaChannelId": 1,    "esaChannelInfo": "string",    "estimated": false,    "globalRollupValue": 1.0,    "interval": 1,    "intervalInfo": "string",    "isCalculatedEsaChannel": false,    "localTimestamp": "2026-03-30",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "note": "string",    "observationType": {      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "summarizedValue": 1.0,    "timestamp": "2026-03-30",    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
]